<?php
/**
 *
 * @author	ahrasis http://support.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	STFS: Smart Title For SEO
 *
 **/

if (!defined('ELK'))
	die('No access...');

function STFS_Titles($buffer)
{
	global $modSettings, $context;

	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	$stfs = array();
	if (!empty($modSettings['stfs_enable'])) {
		// Define the old and the new title
		$title_old = '<title>' . $context['page_title_html_safe'] . '</title>';
		$title_new = '<title>' . (empty($context['page_title_html_safe']) ? $context['forum_name'] : $context['forum_name']. ' - ' . $context['page_title_html_safe']) . '</title>';
		$stfs[$title_old] = $title_new;
	}
	// Now let's change the title, if we're allowed to
	return str_replace(array_keys($stfs), array_values($stfs), $buffer);
}

function STFS_Texts()
{
	// Load language(s)
	loadLanguage('STFS/STFS');
}

function STFS_Settings(&$config_vars)
{
	// Add setting(s)
	$stfs = array(
			array('check', 'stfs_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $stfs);
}
?>